Generation Framework

## org.eclipse.gmf.tooldef
Interface GMFToolFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GMFToolFactoryImpl

    public interface GMFToolFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `GMFToolPackage`
** Generated **

Field Summary
`static GMFToolFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`BundleImage` `createBundleImage()` Returns a new object of class 'Bundle Image'
`ContextMenu` `createContextMenu()` Returns a new object of class 'Context Menu'
`CreationTool` `createCreationTool()` Returns a new object of class 'Creation Tool'
`DefaultImage` `createDefaultImage()` Returns a new object of class 'Default Image'
`GenericStyleSelector` `createGenericStyleSelector()` Returns a new object of class 'Generic Style Selector'
`GenericTool` `createGenericTool()` Returns a new object of class 'Generic Tool'
`ItemRef` `createItemRef()` Returns a new object of class 'Item Ref'
`MainMenu` `createMainMenu()` Returns a new object of class 'Main Menu'
`MenuAction` `createMenuAction()` Returns a new object of class 'Menu Action'
`Palette` `createPalette()` Returns a new object of class 'Palette'
`PaletteSeparator` `createPaletteSeparator()` Returns a new object of class 'Palette Separator'
`PopupMenu` `createPopupMenu()` Returns a new object of class 'Popup Menu'
`PredefinedItem` `createPredefinedItem()` Returns a new object of class 'Predefined Item'
`PredefinedMenu` `createPredefinedMenu()` Returns a new object of class 'Predefined Menu'
`Separator` `createSeparator()` Returns a new object of class 'Separator'
`StandardTool` `createStandardTool()` Returns a new object of class 'Standard Tool'
`Toolbar` `createToolbar()` Returns a new object of class 'Toolbar'
`ToolGroup` `createToolGroup()` Returns a new object of class 'Tool Group'
`ToolRegistry` `createToolRegistry()` Returns a new object of class 'Tool Registry'
`GMFToolPackage` `getGMFToolPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final GMFToolFactory eINSTANCE

  The singleton instance of the factory.

  ** Generated **

Method Detail

### createToolRegistry

    ToolRegistry createToolRegistry()

  Returns a new object of class 'Tool Registry'.

  Returns:
    a new object of class 'Tool Registry'.
  ** Generated **

### createPaletteSeparator

    PaletteSeparator createPaletteSeparator()

  Returns a new object of class 'Palette Separator'.

  Returns:
    a new object of class 'Palette Separator'.
  ** Generated **

### createToolGroup

    ToolGroup createToolGroup()

  Returns a new object of class 'Tool Group'.

  Returns:
    a new object of class 'Tool Group'.
  ** Generated **

### createPalette

    Palette createPalette()

  Returns a new object of class 'Palette'.

  Returns:
    a new object of class 'Palette'.
  ** Generated **

### createStandardTool

    StandardTool createStandardTool()

  Returns a new object of class 'Standard Tool'.

  Returns:
    a new object of class 'Standard Tool'.
  ** Generated **

### createCreationTool

    CreationTool createCreationTool()

  Returns a new object of class 'Creation Tool'.

  Returns:
    a new object of class 'Creation Tool'.
  ** Generated **

### createGenericTool

    GenericTool createGenericTool()

  Returns a new object of class 'Generic Tool'.

  Returns:
    a new object of class 'Generic Tool'.
  ** Generated **

### createSeparator

    Separator createSeparator()

  Returns a new object of class 'Separator'.

  Returns:
    a new object of class 'Separator'.
  ** Generated **

### createPredefinedItem

    PredefinedItem createPredefinedItem()

  Returns a new object of class 'Predefined Item'.

  Returns:
    a new object of class 'Predefined Item'.
  ** Generated **

### createPredefinedMenu

    PredefinedMenu createPredefinedMenu()

  Returns a new object of class 'Predefined Menu'.

  Returns:
    a new object of class 'Predefined Menu'.
  ** Generated **

### createMenuAction

    MenuAction createMenuAction()

  Returns a new object of class 'Menu Action'.

  Returns:
    a new object of class 'Menu Action'.
  ** Generated **

### createItemRef

    ItemRef createItemRef()

  Returns a new object of class 'Item Ref'.

  Returns:
    a new object of class 'Item Ref'.
  ** Generated **

### createContextMenu

    ContextMenu createContextMenu()

  Returns a new object of class 'Context Menu'.

  Returns:
    a new object of class 'Context Menu'.
  ** Generated **

### createPopupMenu

    PopupMenu createPopupMenu()

  Returns a new object of class 'Popup Menu'.

  Returns:
    a new object of class 'Popup Menu'.
  ** Generated **

### createMainMenu

    MainMenu createMainMenu()

  Returns a new object of class 'Main Menu'.

  Returns:
    a new object of class 'Main Menu'.
  ** Generated **

### createToolbar

    Toolbar createToolbar()

  Returns a new object of class 'Toolbar'.

  Returns:
    a new object of class 'Toolbar'.
  ** Generated **

### createDefaultImage

    DefaultImage createDefaultImage()

  Returns a new object of class 'Default Image'.

  Returns:
    a new object of class 'Default Image'.
  ** Generated **

### createBundleImage

    BundleImage createBundleImage()

  Returns a new object of class 'Bundle Image'.

  Returns:
    a new object of class 'Bundle Image'.
  ** Generated **

### createGenericStyleSelector

    GenericStyleSelector createGenericStyleSelector()

  Returns a new object of class 'Generic Style Selector'.

  Returns:
    a new object of class 'Generic Style Selector'.
  ** Generated **

### getGMFToolPackage

    GMFToolPackage getGMFToolPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.